petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLogMPEBegin

Turns on MPE logging of events. This creates large log files and slows the program down.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogMPEBegin(void)

Collective over PETSC_COMM_WORLD Many br

### Options Database Keys

-log_mpe -Prints extensive log information Many br

### Notes

A related routine is PetscLogDefaultBegin() (with the options key -log_summary), which is Many brintended for production runs since it logs only flop rates and object Many brcreation (and should not significantly slow the programs). Many br

Many br

### See Also

PetscLogDump(), PetscLogDefaultBegin(), PetscLogAllBegin(), PetscLogEventActivate(),
PetscLogEventDeactivate() Many br

Level:advanced
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages